> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Talking Avatar Videos

> Creates a talking avatar video with specified parameters



## OpenAPI

````yaml POST /create_video_from_talking_avatar
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /create_video_from_talking_avatar:
    post:
      tags:
        - Create Avatar Videos
      summary: Create Talking Avatar Video
      description: Creates a talking avatar video with specified parameters
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                script:
                  type: string
                  description: >-
                    Script content for the avatar to speak. Must provide either
                    script or audio_script
                  example: >-
                    Hi, welcome to JoggAI and create longer videos with Talking
                    Avatars in minutes!
                audio_url:
                  type: string
                  description: >-
                    Url for Audio, either script or audio_url must be provided,
                    but not both.
                  example: https://res.jogg.ai/audio.mp3
                aspect_ratio:
                  type: integer
                  description: >-
                    Aspect ratio of the output video. 0: [9:16], 1: [16:9], 2:
                    [1:1]
                  enum:
                    - 0
                    - 1
                    - 2
                  example: 0
                screen_style:
                  type: integer
                  description: >-
                    Background style. 1: with background, 2: green screen, 3:
                    webm
                  enum:
                    - 1
                    - 2
                    - 3
                  example: 1
                avatar_id:
                  type: integer
                  description: ID of the avatar to use
                  example: 81
                avatar_type:
                  type: integer
                  description: 'Source type of the avatar. 0: jogg avatar, 1: your avatar'
                  enum:
                    - 0
                    - 1
                  example: 0
                voice_id:
                  type: string
                  description: ID of the text-to-speech voice to use
                  example: en-US-ChristopherNeural
                caption:
                  type: boolean
                  description: >-
                    Subtitle option. true: enable subtitles, false: disable
                    subtitles
                video_name:
                  type: string
                  description: >-
                    If you want to specify the name of the generated video,
                    please use this parameter.
                  example: My Video
                  enum:
                    - true
                    - false
              required:
                - screen_style
                - avatar_id
                - avatar_type
                - voice_id
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          project_id:
                            type: integer
                            description: Created project ID
components:
  schemas:
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````